FROM openvino/ubuntu20_dev_no_samples

USER root
COPY ./requirements.txt ./
RUN apt-get update && \
    apt-get upgrade -y && \
    apt-get install -y libgl1-mesa-dev  \
                       libglib2.0-0 \
                       libsm6 \
                       libxext6 \
                       libxrender-dev
RUN pip3 install --upgrade pip setuptools && \
    pip3 install --upgrade wheel && \
    pip3 install -r requirements.txt && \
    pip3 cache purge
ENV QT_X11_NO_MITSHM=1
WORKDIR /code
ADD . /code/

CMD python3 main.py
